summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-mud/powwow
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-mud/powwow')
-rw-r--r--games-mud/powwow/Manifest1
-rw-r--r--games-mud/powwow/files/powwow-1.2.16-underlinking.patch17
-rw-r--r--games-mud/powwow/metadata.xml5
-rw-r--r--games-mud/powwow/powwow-1.2.16.ebuild38
4 files changed, 61 insertions, 0 deletions
diff --git a/games-mud/powwow/Manifest b/games-mud/powwow/Manifest
new file mode 100644
index 00000000000..6f265ce2145
--- /dev/null
+++ b/games-mud/powwow/Manifest
@@ -0,0 +1 @@
+DIST powwow-1.2.16.tar.gz 295441 SHA256 6db8c6b82ab6dcc88856dc4b7723b2a9963fa16f03586efddcb9f8185fadaa58 SHA512 9bc046ba14760d55a7aabb550229d5f5b234f3ef0690d837f1de8df5e1f404b8483e61981cffdf8e82f164bd5a68f4da3f8342b0c09b98155adaabf14d8b079e WHIRLPOOL 342590dc59c1dec9a6c27643a4aae874e2280c617ebfac642e6ff48f07250250ec4d46503be45925ec19bcb647e9131098c975218c2fd31d8ae266f420f48a38
diff --git a/games-mud/powwow/files/powwow-1.2.16-underlinking.patch b/games-mud/powwow/files/powwow-1.2.16-underlinking.patch
new file mode 100644
index 00000000000..d6c5cceba1f
--- /dev/null
+++ b/games-mud/powwow/files/powwow-1.2.16-underlinking.patch
@@ -0,0 +1,17 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Mon Feb 18 02:25:38 UTC 2013
+Subject: fix underlinking
+
+https://bugs.gentoo.org/show_bug.cgi?id=454928
+
+--- powwow-1.2.16/Makefile.am
++++ powwow-1.2.16/Makefile.am
+@@ -5,7 +5,7 @@
+ powwow_SOURCES = beam.c cmd.c log.c edit.c cmd2.c eval.c \
+ utils.c main.c tcp.c list.c map.c tty.c \
+ ptr.c
+-powwow_LDFLAGS = @dl_ldflags@
++powwow_LDADD = @dl_ldflags@
+ powwowdir = $(pkgincludedir)
+ powwow_HEADERS = beam.h cmd.h log.h edit.h cmd2.h eval.h \
+ utils.h main.h tcp.h list.h map.h tty.h \
diff --git a/games-mud/powwow/metadata.xml b/games-mud/powwow/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-mud/powwow/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-mud/powwow/powwow-1.2.16.ebuild b/games-mud/powwow/powwow-1.2.16.ebuild
new file mode 100644
index 00000000000..8aa8279e3bd
--- /dev/null
+++ b/games-mud/powwow/powwow-1.2.16.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils games
+
+DESCRIPTION="PowWow Console MUD Client"
+HOMEPAGE="http://hoopajoo.net/projects/powwow.html"
+SRC_URI="http://hoopajoo.net/static/projects/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND="sys-libs/ncurses"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-underlinking.patch
+ # note that that the extra, seemingly-redundant files installed are
+ # actually used by in-game help commands
+ sed -i \
+ -e "s/pkgdata_DATA = powwow.doc/pkgdata_DATA = /" \
+ Makefile.am || die
+ mv configure.in configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ egamesconf --includedir=/usr/include
+}
+
+src_install () {
+ DOCS="ChangeLog Config.demo Hacking NEWS powwow.doc powwow.help README.* TODO" \
+ default
+ prepgamesdirs
+}